## crossover-sources-26.0.0.tar.gz

=== moltenvk/Makefile ===
XC_PROJ := MoltenVKPackaging.xcodeproj
XC_SCHEME := MoltenVK Package

XCODEBUILD := set -o pipefail && $(shell command -v xcodebuild)
# Used to determine if xcpretty is available
XCPRETTY_PATH := $(shell command -v xcpretty 2> /dev/null)

OUTPUT_FMT_CMD =
ifdef XCPRETTY_PATH
	# Pipe output to xcpretty, while preserving full log as xcodebuild.log
	OUTPUT_FMT_CMD = | tee "xcodebuild.log" | xcpretty -c
else
	# Use xcodebuild -quiet parameter
	OUTPUT_FMT_CMD = -quiet
endif

# Collect all build settings defined on the command-line (eg: MVK_HIDE_VULKAN_SYMBOLS=1, MVK_CONFIG_LOG_LEVEL=3...)
MAKEARGS := $(strip \
  $(foreach v,$(.VARIABLES),\
    $(if $(filter command\ line,$(origin $(v))),\
      $(v)=$(value $(v)) ,)))

# Specify individually (not as dependencies) so the sub-targets don't run in parallel
# visionos and visionossim are currently excluded from `all` because they require
# Xcode 15+ and will abort a multi-platform build on earlier Xcode versions.
.PHONY: all
all:
	@$(MAKE) macos
	@$(MAKE) ios
	@$(MAKE) iossim
	@$(MAKE) maccat
	@$(MAKE) tvos
	@$(MAKE) tvossim
#	@$(MAKE) visionos       # Requires Xcode 15+
#	@$(MAKE) visionossim    # Requires Xcode 15+

.PHONY: all-debug
all-debug:
	@$(MAKE) macos-debug
	@$(MAKE) ios-debug
	@$(MAKE) iossim-debug
	@$(MAKE) maccat-debug
	@$(MAKE) tvos-debug
	@$(MAKE) tvossim-debug
#	@$(MAKE) visionos-debug       # Requires Xcode 15+
#	@$(MAKE) visionossim-debug    # Requires Xcode 15+

.PHONY: macos
macos:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (macOS only)" -destination "generic/platform=macOS" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: macos-debug
macos-debug:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (macOS only)" -destination "generic/platform=macOS" -configuration "Debug" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: ios
ios:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (iOS only)" -destination "generic/platform=iOS" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: ios-debug
ios-debug:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (iOS only)" -destination "generic/platform=iOS" -configuration "Debug" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: iossim
iossim:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (iOS only)" -destination "generic/platform=iOS Simulator" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: iossim-debug
iossim-debug:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (iOS only)" -destination "generic/platform=iOS Simulator" -configuration "Debug" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: maccat
maccat:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (MacCat only)" -destination "generic/platform=macOS,variant=Mac Catalyst" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: maccat-debug
maccat-debug:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (MacCat only)" -destination "generic/platform=macOS,variant=Mac Catalyst" -configuration "Debug" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: tvos
tvos:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (tvOS only)" -destination "generic/platform=tvOS" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: tvos-debug
tvos-debug:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (tvOS only)" -destination "generic/platform=tvOS" -configuration "Debug" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: tvossim
tvossim:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (tvOS only)" -destination "generic/platform=tvOS Simulator" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: tvossim-debug
tvossim-debug:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (tvOS only)" -destination "generic/platform=tvOS Simulator" -configuration "Debug" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: visionos
visionos:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (visionOS only)" -destination "generic/platform=xrOS" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: visionos-debug
visionos-debug:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (visionOS only)" -destination "generic/platform=xrOS" -configuration "Debug" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: visionossim
visionossim:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (visionOS only)" -destination "generic/platform=xrOS Simulator" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: visionossim-debug
visionossim-debug:
	$(XCODEBUILD) build -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (visionOS only)" -destination "generic/platform=xrOS Simulator" -configuration "Debug" GCC_PREPROCESSOR_DEFINITIONS='$${inherited} $(MAKEARGS)' $(OUTPUT_FMT_CMD)

.PHONY: clean
clean:
	$(XCODEBUILD) clean -project "$(XC_PROJ)" -scheme "$(XC_SCHEME) (macOS only)" -destination "generic/platform=macOS" $(OUTPUT_FMT_CMD)
	rm -rf Package

# Usually requires 'sudo make install'
.PHONY: install
install:
	$ rm -f /usr/local/lib/libMoltenVK.dylib
	$ cp -p Package/Latest/MoltenVK/dynamic/dylib/macOS/libMoltenVK.dylib /usr/local/lib

=== po4a/debian/changelog ===
po4a (0.30-1) unstable; urgency=low

  * New upstream release.
    - Update of the list of module displayed by po4a-gettextize --help-format
      Xml is now in this list. Closes: #398711

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sat, 30 Dec 2006 19:03:55 +0100

po4a (0.29-1) unstable; urgency=low

  * New upstream release. 
  * Better rendering of <cmdsynopsis> with Sgml manpages. The cmdsynopsis
    sections will be verbatim. Closes: #369778
  * Convert UTF-8 strings to Perl's "logical character" before wrapping the
    text. This helps the length calculation needed for wrapping lines. Thanks
    to Yuri Kozlov. Closes: #389200
  * New mdoc option for the man module, to select a stricter support of the
    mdoc format. Also document how this section can be translated with an
    addendum. Closes: #378245

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Sun,  8 Oct 2006 01:10:57 +0200

po4a (0.28-1) unstable; urgency=low

  * New upstream release. 

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Thu, 17 Aug 2006 00:34:25 +0200

po4a (0.27.2-1) unstable; urgency=low

  * New upstream release.
  * If only one page matches the given section, use this file (even multiple
    pages were found by man -aw). Closes: #381552
  * Man module fixed. It generated \\fB instead of B<...>, and thus fuzzied a
    lot of translations. Closes: #381939

 -- Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>  Tue,  8 Aug 2006 00:09:03 +0200

po4a (0.27.1-1) unstable; urgency=low

  * New upstream release.

 -- Martin Quinson <mquinson@debian.org>  Fri,  4 Aug 2006 23:32:41 +0200

po4a (0.27-1) unstable; urgency=low

  [Florentin Duneau]
  * Fix typos in the French translation of the documentation. Closes: #378246

  [Nicolas François]
  * Keep the \\f font modifiers with the inline macros' arguments (E<...>).
    Closes: #378622
  * Set myself as the Maintainer

 -- Martin Quinson <mquinson@debian.org>  Fri,  4 Aug 2006 21:57:40 +0200

po4a (0.26-1) unstable; urgency=low

  The changes for the releases prior to 0.26 are described in
  /usr/share/doc/po4a/changelog.gz.  It includes upstream changes and
  changes in the Debian package.

  [Nicolas François]
  * bump Standards-Version. No changes needed.
  * move debhelper to Build-Depends, even if no architecture-dependent
    packages are built, because it is run in the clean target.
  * Replace the c with cedilla by \[,c] (fix some lintian warnings)

  New upstream release
  * po4aman-display-po improvements. Closes: #368997
  * Updated Russian translation. Thanks to Yuri Kozlov. Closes: #373618
  * Updated Swedish translation. Thanks to Daniel Nylander. Closes: #374896

 -- Martin Quinson <mquinson@debian.org>  Sun, 25 Jun 2006 20:15:32 +0200

=== po4a/debian/control ===
Source: po4a
Section: text
Priority: optional
Maintainer: Nicolas FRANCOIS (Nekral) <nicolas.francois@centraliens.net>
Uploaders: Martin Quinson <mquinson@debian.org>, Pierre Machard <pmachard@debian.org>
Standards-Version: 3.7.2
Build-Depends-Indep: perl-modules, libmodule-build-perl
Build-Depends: debhelper (>> 4.0.0)

Package: po4a
Architecture: all
Depends: ${misc:depends}, ${perl:Depends}, gettext (>= 0.11), perl-modules, libsgmls-perl, sp
Recommends: libtext-wrapi18n-perl, libterm-readkey-perl, liblocale-gettext-perl
Conflicts: po-pod, po-man, liblocale-po4a-perl
Description: tools for helping translation of documentation
 The po4a (po for anything) project goal is to ease translations (and
 more interestingly, the maintenance of translations) using gettext
 tools on areas where they were not expected like documentation.
 .
 This package contains the main libraries of po4a, and the following
 sub-modules:
 .
   - KernelHelp: Help messages of each kernel compilation option.
   - Man: either roff or mdoc format.
   - Pod: Perl documentation format.
   - Sgml: either debiandoc or docbook DTD.
   - Dia: uncompressed Dia diagrams.
   - LaTeX: generic TeX or LaTeX format.
   - XML: very configurable, docbook DTD preconfigured.

=== po4a/debian/rules ===
#!/usr/bin/make -f
# This file is public domain software, originally written by Joey Hess.

package = po4a

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DESTDIR = $(CURDIR)/debian/$(package)
ifndef PERL
PERL = /usr/bin/perl
endif

build: build-stamp
build-stamp:
	dh_testdir

# Make sure the VERSION string were updated in binaries
	@ pkgver=`dpkg-parsechangelog|\
	          grep -m 1 Version|\
		  sed -e 's/Version: //' -e 's/-.*//' -e 's/[[:blank:]]*//g'`;\
	libver=`grep '$$VERSION=' lib/Locale/Po4a/TransTractor.pm| \
                sed -e 's/^.*"\([^"]*\)".*/\1/'`; \
	if [ "x$$pkgver" != "x$$libver" ] ; then \
	   echo "VERSION in lib/Locale/Po4a/TransTractor.pm is wrong ($$pkgver!=$$libver)";\
	   exit 1; \
	fi;

	$(PERL) Build.PL installdirs=vendor
	$(PERL) Build
	touch build-stamp

clean:
	dh_testdir
	dh_testroot

	-$(PERL) Build clean
	rm -rf _build build-stamp Build

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

#	$(PERL) Build test
	$(PERL) Build install destdir=$(DESTDIR)

	for man in $(DESTDIR)/usr/share/man/man3/*.3pm; do \
	    sed -i -e 's/ç/\\[,c]/g;s/Ç/\\[,C]/g' $$man; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installdocs
#	dh_installexamples
#	dh_installmenu
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installman mantmp/* # made upstream
	dh_installchangelogs changelog
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_perl
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: build install
# We have nothing to do by default.

binary: binary-indep binary-arch 

#     Shortcuts
tar: clean
	version=`sed -e 's/.* (//' -e 's/-.*//' -e 1q debian/changelog`; \
	echo Creating ../$(package)_$$version.orig.tar.gz; \
	#tar cf - * | tarcust -p $(package)-$$version -x '.*CVS.*' -x '.*.cvsignore' -x 'debian/.*' | gzip --best > ../$(package)_$$version.orig.tar.gz
	perl Build.PL
	perl Build dist
	#$(MAKE) tar

deb:
	dpkg-buildpackage -rfakeroot -i'/CVS|/\.cvsignore|/mantmp|testsuite|lib/Locale/Po4a|po/pod'

.PHONY: build clean binary-indep binary-arch binary install
